package com.heyu.api.data.service.device;
/**
* <p>
* 设备批次表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.device.DeviceBatchEntity;
public interface DeviceBatchService extends IService<DeviceBatchEntity> {



	DeviceBatchEntity selectDeviceBatchById(Long id);


	Long insertDeviceBatch(DeviceBatchEntity deviceBatch);


	Long insertOrUpdateDeviceBatch(DeviceBatchEntity deviceBatch);


	int updateDeviceBatchById(DeviceBatchEntity deviceBatch);


	int updateCoverDeviceBatchById(DeviceBatchEntity deviceBatch);


	int deleteDeviceBatchById(Long id);


}